function Hd = testBPF3
%TESTBPF3 Returns a discrete-time filter object.

% MATLAB Code
% Generated by MATLAB(R) 8.4 and the Signal Processing Toolbox 6.22.
% Generated on: 24-Aug-2015 15:37:47

% Elliptic Bandpass filter designed using FDESIGN.BANDPASS.

% All frequency values are in Hz.
Fs = 2000;  % Sampling Frequency

N      = 10;   % Order
Fpass1 = 5;    % First Passband Frequency
Fpass2 = 6.8;  % Second Passband Frequency
Apass  = 1;    % Passband Ripple (dB)
Astop  = 20;   % Stopband Attenuation (dB)

% Construct an FDESIGN object and call its ELLIP method.
h  = fdesign.bandpass('N,Fp1,Fp2,Ast1,Ap,Ast2', N, Fpass1, Fpass2, ...
                      Astop, Apass, Astop, Fs);
Hd = design(h, 'ellip');

% [EOF]
